#! /usr/bin/python2.4
# Copyright (C) 2007, 2008 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Creates a static web-site with a status report"""

import sys
import os

import treepkgcmd
from treepkg.options import create_parser
from treepkg.web import Status

def parse_commandline():
    parser = create_parser()
    parser.set_defaults(status_template="status-by-startdate.html")
    parser.add_option("--status-template",
                      help=("The template file to use for the status page."
                            " Relative filenames are interpreted"
                            " relative to the web subdirectory."
                            " Default is status-by-revision.html."))
    return parser.parse_args()

def create_static_site(treepkg_config, status_template, destdir):
    status = Status(treepkg_config=treepkg_config, template=status_template)
    status.create_static_site(destdir)

def main():
    options, args = parse_commandline()
    create_static_site(options.config_file,
                       options.status_template,
                       args[0])

main()
